Bug 216250 - textproc/py-elasticsearch-curator - Depends on py-elasticseach < 3.0.0
Summary: textproc/py-elasticsearch-curator - Depends on py-elasticseach < 3.0.0
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dan Langille
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-19 00:16 UTC by James Elstone
Modified: 2019-08-05 10:45 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (dvl)


Attachments
textproc/py-elasticsearch-curator-py svn generated diff file for revision 1 of port (671 bytes, patch)
2017-01-19 00:16 UTC, James Elstone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Elstone 2017-01-19 00:16:36 UTC
Created attachment 179058 [details]
textproc/py-elasticsearch-curator-py svn generated diff file for revision 1 of port

textproc/py-elasticsearch-curator-py depends on elasticsearch>=2.3.0,<3.0.0 in release 3.4.1.

The Python library expected for elasticsearch-curator-py is less than v3.0.0, but textproc/py-elasticsearch-py has been bumped to the version 5.x.x api which is not backwardly compatible.

Generated new V2.4.1 of the py-elasticsearch-py port, under bug #216249, and the attached diff file shows the changes for this port to use the new port for the v2.x.x API.

Portlint:  OK
poudriere: OK

Confirmed working with textproc/elasticsearch2 (2.4.2) and textproc/py-elasticsearch2-py (2.4.1) without error.

Functional testing performed - worked as expected against 11.0-RELEASE-p7, openjdk8-8.112.16_3 and ports tree r431710.
Comment 1 Dan Langille freebsd_committer 2017-01-21 18:15:59 UTC
Thank you for this.

Someone contacted me by email asking about this issue.  I have emailed them and will now test it here.
Comment 2 Dan Langille freebsd_committer 2017-01-25 16:34:31 UTC
Why choose elasticsearch2-py=2.4.1 ?
Comment 3 Dan Langille freebsd_committer 2017-01-25 16:47:52 UTC
Are you sure 216248 is the correct Depend On port? Should it be 216249?
Comment 4 Dan Langille freebsd_committer 2017-01-25 16:51:42 UTC
I think I now understand how this came about.

textproc/py-elasticsearch-py was upgraded from 2.4.0 to 5.x

However, many ports still need v2 to work with older versions of elastic search, specifically textproc/py-elasticsearch-curator-py

Once textproc/py-elasticsearch2-py is created by #216249 we can fix textproc/py-elasticsearch-curator-py to use it instead of textproc/py-elasticsearch-py.

We may need to create textproc/py-elasticsearch2-curator-py instead....
Comment 5 James Elstone 2017-01-26 10:11:46 UTC
A "v3" (3.5.1 / 3.x.x) variant of curator maybe potentially a way to go forwards, as the 5.x.x branch is currently a work in progress.

Latest 3.x.x and 4.x.x (4.2.5) require ES < 3.0 despite the compatibility matrix on the front page of the GH page. See: 
https://github.com/elastic/curator/commit/86962dfdbbe48b6ed3eb1c9f676054f0149a0466

It looks like the v5.x.x branch when released maybe backwardly compatible but no confirmation yet.

Hope this explains approach with retaining stable 3.5.1 and spinning a new dependency for textproc/py-elasticsearch2-py.
Comment 6 James Elstone 2017-01-26 13:24:41 UTC
Updated Dependency; Sorry, human error on the depends - while FreeBSD can multitask, it seems my ability is questionable...
Comment 7 James Elstone 2017-02-07 22:53:45 UTC
Hi Dan,

The latest release of Curator does not support ESv5 yet, see my comment #5. I believe that a compatible version of Curator is in the pipeline but no eta.

Is there anything I can do in support of this being progressed to closure please?

Happy to switch this to a New Port, following the naming convention of ES1,2,latest...

Your guidance would be most welcomed!

Kr,

James.
Comment 8 Dan Langille freebsd_committer 2017-02-09 16:28:55 UTC
I'm sorry, but my time is overloaded at present.  I am unable to do anything immediately.
Comment 9 James Elstone 2017-10-07 14:23:23 UTC
Curator version 5.2.0 support the 5.x branch of elastic search. Dependencies / Blocking assignment altered.

New Patch required to bring textproc/py-elasticsearch-curator-py up to the latest...
Comment 10 Walter Schwarzenfeld freebsd_triage 2019-08-05 10:45:09 UTC
Is renamed 
textproc/py-curator-py|textproc/py-elasticsearch-curator|2018-04-09|Follow existing Elasticsearch naming conventions

Is marked BROKEN in ports r508154.